Method: projects.locations.experimentTemplates.patch

Updates an existing experiment template.

HTTP request

PATCH https://faulttesting.googleapis.com/v1alpha/{experimentTemplate.name=projects/*/locations/*/experimentTemplates/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
experimentTemplate.name

string

Identifier. The resource name of this experiment template. Format: projects/{project}/locations/{location}/experimentTemplates/{experimentTemplate}

Query parameters

Parameters
updateMask

string (FieldMask format)

Optional. A comma-separated list of fields to update. If not provided, all editable fields will be considered for updates. Fields like name and createTime cannot be updated.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

Request body

The request body contains an instance of ExperimentTemplate.

Response body

If successful, the response body contains an instance of ExperimentTemplate.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • faulttesting.experimentTemplates.update

For more information, see the IAM documentation.